%define hdf5dir %_libexecdir/hdf5-seq
%define oname tables
Name: py%oname
Version: 2.3b1
Release: alt1.svn20110408.M60T.1
Summary: Managing hierarchical datasets
License: MIT
Group: Development/Python
Url: http://www.pytables.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# http://pytables.org/svn/pytables/trunk
Source: %name-%version.tar.gz

Requires: python-module-%oname = %version-%release

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel python-module-Pyrex libnumpy-devel
BuildPreReq: libhdf5-devel liblzo2-devel bzlib-devel
BuildPreReq: xsltproc inkscape xmlgraphics-fop excalibur-avalon-logkit
BuildPreReq: java-devel-default docbook-tldp-xsl docbook-dtds
BuildPreReq: w3c-markup-validator-libs python-module-Cython
BuildPreReq: python-module-numexpr python-module-setuptools

%description
PyTables is a package for managing hierarchical datasets and designed
to efficiently and easily cope with extremely large amounts of data.

PyTables is built on top of the HDF5 library, using the Python language
and the NumPy package (it also supports numarray and Numeric right
out-of-the-box). It features an object-oriented interface that, combined
with C extensions for the performance-critical parts of the code
(generated using Pyrex), makes it a fast, yet extremely easy to use tool
for interactively dealing with, processing and searching very large
amounts of data. One important feature of PyTables is that it optimizes
memory and disk resources so that data takes much less space (specially
if on-flight compression is used) than other solutions such as
relational or object oriented databases.

%package doc
Summary: Documentation for PyTables
Group: Development/Documentation
BuildArch: noarch

%description doc
PyTables is a package for managing hierarchical datasets and designed
to efficiently and easily cope with extremely large amounts of data.

PyTables is built on top of the HDF5 library, using the Python language
and the NumPy package (it also supports numarray and Numeric right
out-of-the-box). It features an object-oriented interface that, combined
with C extensions for the performance-critical parts of the code
(generated using Pyrex), makes it a fast, yet extremely easy to use tool
for interactively dealing with, processing and searching very large
amounts of data. One important feature of PyTables is that it optimizes
memory and disk resources so that data takes much less space (specially
if on-flight compression is used) than other solutions such as
relational or object oriented databases.

This package contains documentation for PyTables.

%package -n python-module-%oname
Summary: Managing hierarchical datasets
Group: Development/Python
%setup_python_module %oname
%add_python_req_skip numarray

%description -n python-module-%oname
PyTables is a package for managing hierarchical datasets and designed
to efficiently and easily cope with extremely large amounts of data.

PyTables is built on top of the HDF5 library, using the Python language
and the NumPy package (it also supports numarray and Numeric right
out-of-the-box). It features an object-oriented interface that, combined
with C extensions for the performance-critical parts of the code
(generated using Pyrex), makes it a fast, yet extremely easy to use tool
for interactively dealing with, processing and searching very large
amounts of data. One important feature of PyTables is that it optimizes
memory and disk resources so that data takes much less space (specially
if on-flight compression is used) than other solutions such as
relational or object oriented databases.

This package contains python module of PyTables.

%package -n python-module-%oname-tests
Summary: Tests and examples for PyTables
Group: Development/Python
%add_python_req_skip numarray
%py_requires %oname

%description -n python-module-%oname-tests
PyTables is a package for managing hierarchical datasets and designed
to efficiently and easily cope with extremely large amounts of data.

PyTables is built on top of the HDF5 library, using the Python language
and the NumPy package (it also supports numarray and Numeric right
out-of-the-box). It features an object-oriented interface that, combined
with C extensions for the performance-critical parts of the code
(generated using Pyrex), makes it a fast, yet extremely easy to use tool
for interactively dealing with, processing and searching very large
amounts of data. One important feature of PyTables is that it optimizes
memory and disk resources so that data takes much less space (specially
if on-flight compression is used) than other solutions such as
relational or object oriented databases.

This package contains tests and examples for PyTables.

%package -n python-module-%oname-bench
Summary: Benchmarks for PyTables
Group: Development/Python
%add_python_req_skip numarray chararray recarray recarray2 Numeric psyco
%py_requires %oname

%description -n python-module-%oname-bench
PyTables is a package for managing hierarchical datasets and designed
to efficiently and easily cope with extremely large amounts of data.

PyTables is built on top of the HDF5 library, using the Python language
and the NumPy package (it also supports numarray and Numeric right
out-of-the-box). It features an object-oriented interface that, combined
with C extensions for the performance-critical parts of the code
(generated using Pyrex), makes it a fast, yet extremely easy to use tool
for interactively dealing with, processing and searching very large
amounts of data. One important feature of PyTables is that it optimizes
memory and disk resources so that data takes much less space (specially
if on-flight compression is used) than other solutions such as
relational or object oriented databases.

This package contains benchmarks for PyTables.

%prep
%setup

%build
%add_optflags -fno-strict-aliasing
%python_build_debug --hdf5=%hdf5dir

%make_build -C doc usersguide.pdf html

%install
%python_install --hdf5=%hdf5dir --root=%buildroot

install -d %buildroot%_docdir/%name/pdf
install -p -m644 LICENSE.txt README.txt RELEASE_NOTES.txt THANKS \
	%buildroot%_docdir/%name
cp -fR LICENSES %buildroot%_docdir/%name
install -p -m644 doc/*.pdf %buildroot%_docdir/%name/pdf
cp -fR doc/html %buildroot%_docdir/%name/

cp -fR examples %buildroot%python_sitelibdir/%oname/

cp -fR bench contrib %buildroot%python_sitelibdir/%oname/

%files
%_bindir/*

%files -n python-module-%oname
%python_sitelibdir/*
%exclude %python_sitelibdir/%oname/examples
%exclude %python_sitelibdir/%oname/tests
%exclude %python_sitelibdir/%oname/*/tests
%exclude %python_sitelibdir/%oname/bench

%files -n python-module-%oname-tests
%python_sitelibdir/%oname/examples
%python_sitelibdir/%oname/tests
%python_sitelibdir/%oname/*/tests

%files -n python-module-%oname-bench
%python_sitelibdir/%oname/bench

%files doc
%_docdir/%name

%changelog
* Fri Apr 06 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3b1-alt1.svn20110408.M60T.1
- Rebuilt with libhdf5-7-seq

* Sat Apr 16 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3b1-alt1.svn20110408
- New snapshot

* Mon Mar 21 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3b1-alt1.svn20101118.1
- Rebuilt for debuginfo

* Sun Nov 21 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3b1-alt1.svn20101118
- New snapshot

* Thu Oct 28 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3b1-alt1.svn20100707.3
- Rebuilt for soname set-versions

* Tue Oct 12 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3b1-alt1.svn20100707.2
- Fixed underlinking

* Wed Aug 04 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3b1-alt1.svn20100707.1
- Avoid requirement on RandomArray

* Mon Jul 12 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3b1-alt1.svn20100707
- Version 2.3b1
- Rebuilt with docbook-style-xsl 1.75.2

* Thu Feb 04 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2b3-alt1.svn20100203
- Version 2.2b3

* Thu Feb 04 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2b2-alt1.svn20090911.4
- Fixed creating some extensions
- Added docs, benchmarks and tests/examples

* Wed Feb 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2b2-alt1.svn20090911.3
- Rebuilt with reformed NumPy

* Sat Jan 02 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2b2-alt1.svn20090911.2
- Rebuilt without python-module-Numeric

* Wed Nov 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2b2-alt1.svn20090911.1
- Rebuilt with python 2.6

* Fri Sep 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2b2-alt1.svn20090911
- Initial build for Sisyphus

